Debian Bug report logs - #550541
gtk generated menus do not update

version graph

Package: emacs23; Maintainer for emacs23 is Rob Browning <rlb@defaultvalue.org>; Source for emacs23 is src:emacs23.

Reported by: Baylis Shanks <bshanks3@hotmail.com>

Date: Sat, 10 Oct 2009 22:15:05 UTC

Severity: normal

Tags: fixed-upstream, upstream

Merged with 550896, 552227, 553183, 556657

Found in versions 23.1+1-4, emacs23/23.1+1-4

Fixed in version emacs23/23.1+1-5

Done: Rob Browning <rlb@defaultvalue.org>

Bug is archived. No further changes may be made.

Forwarded to http://emacsbugs.donarmstrong.com/4122

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#550541; Package emacs. (Sat, 10 Oct 2009 22:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baylis Shanks <bshanks3@hotmail.com>:
New Bug report received and forwarded. Copy sent to Rob Browning <rlb@defaultvalue.org>.

Your message had a Version: pseudo-header with an invalid package version:

23.1+1-4See https://bugs.launchpad.net/ubuntu/+source/emacs23/+bug/415101 , which has an attached patch.

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 10 Oct 2009 22:15:08 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Baylis Shanks <bshanks3@hotmail.com>
To: <submit@bugs.debian.org>
Subject: gtk generated menus do not update
Date: Sat, 10 Oct 2009 22:06:41 +0000
[Message part 1 (text/plain, inline)]
Package: emacs
Version: 23.1+1-4See https://bugs.launchpad.net/ubuntu/+source/emacs23/+bug/415101 , which has an attached patch. 

Note: an effective workaround is to set the environment variable GDK_NATIVE_WINDOWS to 1 before starting emacs.

Note to future google searchers: you can do this by running "GDK_NATIVE_WINDOWS=1 emacs" or, in bash, by "export GDK_NATIVE_WINDOWS=1; emacs". Some keywords: emacs buffers menu doesn't work, dynamically generated menus broken.

thanks
 		 	   		  
_________________________________________________________________
Hotmail: Trusted email with powerful SPAM protection.
http://clk.atdmt.com/GBL/go/177141665/direct/01/
[Message part 2 (text/html, inline)]

Bug reassigned from package 'emacs' to 'emacs23'. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 12 Oct 2009 18:45:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 23.1+1-4. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 12 Oct 2009 18:45:06 GMT) Full text and rfc822 format available.

Merged 550541 550896. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 14 Oct 2009 08:48:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://emacsbugs.donarmstrong.com/4122'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 18 Oct 2009 00:27:02 GMT) Full text and rfc822 format available.

Added tag(s) upstream and fixed-upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 18 Oct 2009 00:27:04 GMT) Full text and rfc822 format available.

Forcibly Merged 550541 550896 552227. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 24 Oct 2009 15:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#550541; Package emacs23. (Sun, 25 Oct 2009 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob Browning <rlb@defaultvalue.org>:
Extra info received and forwarded to list. (Sun, 25 Oct 2009 20:54:03 GMT) Full text and rfc822 format available.

Message #22 received at 550541@bugs.debian.org (full text, mbox):

From: Rob Browning <rlb@defaultvalue.org>
To: Baylis Shanks <bshanks3@hotmail.com>
Cc: 550541@bugs.debian.org
Subject: Re: Bug#550541: gtk generated menus do not update
Date: Sun, 25 Oct 2009 13:43:22 -0700
Baylis Shanks <bshanks3@hotmail.com> writes:

> Package: emacs Version: 23.1+1-4See
> https://bugs.launchpad.net/ubuntu/+source/emacs23/+bug/415101 , which
> has an attached patch.
>
> Note: an effective workaround is to set the environment variable
> GDK_NATIVE_WINDOWS to 1 before starting emacs.
>
> Note to future google searchers: you can do this by running
> "GDK_NATIVE_WINDOWS=1 emacs" or, in bash, by "export
> GDK_NATIVE_WINDOWS=1; emacs". Some keywords: emacs buffers menu
> doesn't work, dynamically generated menus broken.

Assuming I understand the problem, I can't reproduce it here with
emacs23 23.1+1-4 and a recent unstable system.  When I open a .c or .tex
file, for example, the C and TeX menus are not empty.

Is there something else I might need to try?

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org; previously @cs.utexas.edu
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4




Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#550541; Package emacs23. (Sun, 25 Oct 2009 21:42:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Sun, 25 Oct 2009 21:42:16 GMT) Full text and rfc822 format available.

Message #27 received at 550541@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Rob Browning <rlb@defaultvalue.org>
Cc: 550541@bugs.debian.org, Baylis Shanks <bshanks3@hotmail.com>
Subject: Re: Bug#550541: gtk generated menus do not update
Date: Sun, 25 Oct 2009 22:29:06 +0100
On 2009-10-25 21:43 +0100, Rob Browning wrote:

> Baylis Shanks <bshanks3@hotmail.com> writes:
>
>> Package: emacs Version: 23.1+1-4See
>> https://bugs.launchpad.net/ubuntu/+source/emacs23/+bug/415101 , which
>> has an attached patch.
>>
>> Note: an effective workaround is to set the environment variable
>> GDK_NATIVE_WINDOWS to 1 before starting emacs.
>>
>> Note to future google searchers: you can do this by running
>> "GDK_NATIVE_WINDOWS=1 emacs" or, in bash, by "export
>> GDK_NATIVE_WINDOWS=1; emacs". Some keywords: emacs buffers menu
>> doesn't work, dynamically generated menus broken.
>
> Assuming I understand the problem, I can't reproduce it here with
> emacs23 23.1+1-4 and a recent unstable system.  When I open a .c or .tex
> file, for example, the C and TeX menus are not empty.

I can reproduce the problem here.

> Is there something else I might need to try?

Use the mouse rather than the F10 key to access the menus (pressing F10
updates them, so you don't see the bug).

Sven




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#550541; Package emacs23. (Sun, 25 Oct 2009 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob Browning <rlb@defaultvalue.org>:
Extra info received and forwarded to list. (Sun, 25 Oct 2009 22:54:03 GMT) Full text and rfc822 format available.

Message #32 received at 550541@bugs.debian.org (full text, mbox):

From: Rob Browning <rlb@defaultvalue.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 550541@bugs.debian.org, Baylis Shanks <bshanks3@hotmail.com>
Subject: Re: Bug#550541: gtk generated menus do not update
Date: Sun, 25 Oct 2009 15:40:05 -0700
Sven Joachim <svenjoac@gmx.de> writes:

>> Assuming I understand the problem, I can't reproduce it here with
>> emacs23 23.1+1-4 and a recent unstable system.  When I open a .c or .tex
>> file, for example, the C and TeX menus are not empty.
>
> I can reproduce the problem here.
>
>> Is there something else I might need to try?
>
> Use the mouse rather than the F10 key to access the menus (pressing F10
> updates them, so you don't see the bug).

Hmm, I was using the mouse.  I wonder if my system might be newer/older
with respect to GDK/GTK+ in some way that matters.

In any case, since a fix has been applied upstream, I'm inclined to add
it to our package.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org; previously @cs.utexas.edu
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4




Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#550541; Package emacs23. (Mon, 26 Oct 2009 07:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Mon, 26 Oct 2009 07:42:07 GMT) Full text and rfc822 format available.

Message #37 received at 550541@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Rob Browning <rlb@defaultvalue.org>
Cc: 550541@bugs.debian.org, Baylis Shanks <bshanks3@hotmail.com>
Subject: Re: Bug#550541: gtk generated menus do not update
Date: Mon, 26 Oct 2009 08:25:24 +0100
On 2009-10-25 23:40 +0100, Rob Browning wrote:

> Sven Joachim <svenjoac@gmx.de> writes:
>
>>> Assuming I understand the problem, I can't reproduce it here with
>>> emacs23 23.1+1-4 and a recent unstable system.  When I open a .c or .tex
>>> file, for example, the C and TeX menus are not empty.
>>
>> I can reproduce the problem here.
>>
>>> Is there something else I might need to try?
>>
>> Use the mouse rather than the F10 key to access the menus (pressing F10
>> updates them, so you don't see the bug).
>
> Hmm, I was using the mouse.  I wonder if my system might be newer/older
> with respect to GDK/GTK+ in some way that matters.

Are you sure that you have libgtk2.0-0 >= 2.18 installed?  That is the
version that triggers the bug.

> In any case, since a fix has been applied upstream, I'm inclined to add
> it to our package.

That would be appreciated.

Cheers,
       Sven




Reply sent to Rob Browning <rlb@defaultvalue.org>:
You have taken responsibility. (Mon, 02 Nov 2009 02:51:08 GMT) Full text and rfc822 format available.

Notification sent to Baylis Shanks <bshanks3@hotmail.com>:
Bug acknowledged by developer. (Mon, 02 Nov 2009 02:51:08 GMT) Full text and rfc822 format available.

Message #42 received at 550541-close@bugs.debian.org (full text, mbox):

From: Rob Browning <rlb@defaultvalue.org>
To: 550541-close@bugs.debian.org
Subject: Bug#550541: fixed in emacs23 23.1+1-5
Date: Mon, 02 Nov 2009 02:32:46 +0000
Source: emacs23
Source-Version: 23.1+1-5

We believe that the bug you reported is fixed in the latest version of
emacs23, which is due to be installed in the Debian FTP archive:

emacs23-bin-common_23.1+1-5_i386.deb
  to main/e/emacs23/emacs23-bin-common_23.1+1-5_i386.deb
emacs23-common_23.1+1-5_all.deb
  to main/e/emacs23/emacs23-common_23.1+1-5_all.deb
emacs23-el_23.1+1-5_all.deb
  to main/e/emacs23/emacs23-el_23.1+1-5_all.deb
emacs23-lucid_23.1+1-5_i386.deb
  to main/e/emacs23/emacs23-lucid_23.1+1-5_i386.deb
emacs23-nox_23.1+1-5_i386.deb
  to main/e/emacs23/emacs23-nox_23.1+1-5_i386.deb
emacs23_23.1+1-5.diff.gz
  to main/e/emacs23/emacs23_23.1+1-5.diff.gz
emacs23_23.1+1-5.dsc
  to main/e/emacs23/emacs23_23.1+1-5.dsc
emacs23_23.1+1-5_i386.deb
  to main/e/emacs23/emacs23_23.1+1-5_i386.deb
emacs_23.1+1-5_all.deb
  to main/e/emacs23/emacs_23.1+1-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550541@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rob Browning <rlb@defaultvalue.org> (supplier of updated emacs23 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Nov 2009 10:00:58 -0800
Source: emacs23
Binary: emacs emacs23-lucid emacs23-nox emacs23 emacs23-bin-common emacs23-common emacs23-el
Architecture: source all i386
Version: 23.1+1-5
Distribution: unstable
Urgency: low
Maintainer: Rob Browning <rlb@defaultvalue.org>
Changed-By: Rob Browning <rlb@defaultvalue.org>
Description: 
 emacs      - The GNU Emacs editor (metapackage)
 emacs23    - The GNU Emacs editor (with GTK+ user interface)
 emacs23-bin-common - The GNU Emacs editor's shared, architecture dependent files
 emacs23-common - The GNU Emacs editor's shared, architecture independent infrastru
 emacs23-el - GNU Emacs LISP (.el) files
 emacs23-lucid - The GNU Emacs editor
 emacs23-nox - The GNU Emacs editor (without X support)
Closes: 550541
Changes: 
 emacs23 (23.1+1-5) unstable; urgency=low
 .
   * Apply upstream patch to fix problem with GTK and dynamically
     generated menus (which could be unexpectedly empty).  Thanks to
     Baylis Shanks <bshanks3@hotmail.com> for the report.
     (closes: 550541)
Checksums-Sha1: 
 d948692c0a21ac5a54c15cfc4b0bd9772f8be55f 1516 emacs23_23.1+1-5.dsc
 a0ea5f62e598b26524511d9d186ecf1288a7a1ed 181632 emacs23_23.1+1-5.diff.gz
 be6ed8a0594e44fed8e67ecde05c87c52fefd822 21328 emacs_23.1+1-5_all.deb
 607ac794d084cd96421f4594260d0c497beb502e 16715492 emacs23-common_23.1+1-5_all.deb
 fa71e1b387370122380cc68a43822f0529bebb8f 12268454 emacs23-el_23.1+1-5_all.deb
 640f47cd17b7e5e590d9b8da7dd730ec1d7883a0 3008976 emacs23-lucid_23.1+1-5_i386.deb
 24b11ea5039ade61af8111ee10cb7609a61fef54 2711680 emacs23-nox_23.1+1-5_i386.deb
 08c8bc8a6ecd61f89dc086e6a50a72acb71c8143 3003960 emacs23_23.1+1-5_i386.deb
 a5d7f1f117a3feef1692e625aecee3da01cec852 169710 emacs23-bin-common_23.1+1-5_i386.deb
Checksums-Sha256: 
 155852789f887c8d65163ab511ce8e98124ff5cfd659766f7c53885771c4671e 1516 emacs23_23.1+1-5.dsc
 25fdf97aaba148d3275113e3fbead8905d72845fdbfedd010a976d0e205fd25e 181632 emacs23_23.1+1-5.diff.gz
 f424140818fc449f3bbfb4424bc2d2b56c5c4396433287c3238277b476adda5b 21328 emacs_23.1+1-5_all.deb
 3d421ee815bbc0413e1038ac6403240cbf940d596d5200b440ce41f0c5cb5238 16715492 emacs23-common_23.1+1-5_all.deb
 3083cd17d103087edc79f5d9316ae131bec4147ff8df5986913e72285859b00e 12268454 emacs23-el_23.1+1-5_all.deb
 3ebb278fbb378f625141262dd3d2dc6eb2b7fe978d19165179e616a349402000 3008976 emacs23-lucid_23.1+1-5_i386.deb
 9bd4dce801102716ef2fabe1bf9df17457b9bd04738407bacd7642c6db1f0269 2711680 emacs23-nox_23.1+1-5_i386.deb
 1b95f106e800a2622c509a49a520763c359752396b9a3fef714d097810a916b1 3003960 emacs23_23.1+1-5_i386.deb
 175a7c5435951d047cf4fdd810beeeb34fb3be6b6e110304eb9f5cc352aee603 169710 emacs23-bin-common_23.1+1-5_i386.deb
Files: 
 ad3091fe87f857ef08a1b4151fa9f2d7 1516 editors optional emacs23_23.1+1-5.dsc
 5ab7130d5e67ef20cc8e1bc570d45166 181632 editors optional emacs23_23.1+1-5.diff.gz
 5d5fbd6882836bd3545a61521ef7eee2 21328 editors optional emacs_23.1+1-5_all.deb
 4aef1588ae2568342b65ce4606cb3bfd 16715492 editors optional emacs23-common_23.1+1-5_all.deb
 ca2def01553634547f74009dfe25e06f 12268454 editors optional emacs23-el_23.1+1-5_all.deb
 29f9a83c899ae6ca4cc799a7ed212370 3008976 editors optional emacs23-lucid_23.1+1-5_i386.deb
 99d1a8d2f78bd5fba51b709e9acdfe01 2711680 editors optional emacs23-nox_23.1+1-5_i386.deb
 d53a2d238a4492af32fa7099cc76f4f0 3003960 editors optional emacs23_23.1+1-5_i386.deb
 7f5da0b2de737c5912e335a0a528483d 169710 editors optional emacs23-bin-common_23.1+1-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkruQSwACgkQJcjTd4x+c6R8eQCdF0hkWacjoBE4gbZv/UbE7Vd5
jqUAniLYsDCcg8/1tDmqDsUt8pt5ErcD
=d0Ie
-----END PGP SIGNATURE-----





Reply sent to Rob Browning <rlb@defaultvalue.org>:
You have taken responsibility. (Mon, 02 Nov 2009 02:51:09 GMT) Full text and rfc822 format available.

Notification sent to "Christophe Prud'homme" <christophe.prudhomme@ujf-grenoble.fr>:
Bug acknowledged by developer. (Mon, 02 Nov 2009 02:51:09 GMT) Full text and rfc822 format available.

Reply sent to Rob Browning <rlb@defaultvalue.org>:
You have taken responsibility. (Mon, 02 Nov 2009 02:51:10 GMT) Full text and rfc822 format available.

Notification sent to Christophe Troestler <Christophe.Troestler@umons.ac.be>:
Bug acknowledged by developer. (Mon, 02 Nov 2009 02:51:10 GMT) Full text and rfc822 format available.

Forcibly Merged 550541 550896 552227 553183. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. (Tue, 03 Nov 2009 19:51:31 GMT) Full text and rfc822 format available.

Forcibly Merged 550541 550896 552227 553183 556657. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Tue, 17 Nov 2009 21:33:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jan 2010 07:32:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:01:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.